Is it OK to update the DSi's firmware so far?

Discussion in 'Acekard' started by Roymund, Mar 29, 2009.

  1. Roymund
    OP

    Roymund Member

    Newcomer
    14
    0
    Feb 20, 2006
    I have a DSi with 1.0J firmware on it and I want to download some apps from the DSi store but you need to update the firmware to access the shop. What's the newest firmware for the DSi and is it ok to have it with my Acekard 2i?
     


  2. imqchummy

    imqchummy Member

    Newcomer
    45
    0
    Aug 14, 2008
    Canada
    This is written in the acekard 2i review section:

    It is still early days for the Nintendo DSi, and without any software that is designed to run only on the DSi, or take advantage of the DSi's new features, it is hard to say how well the Acekard 2i will hold up. There is even a possibility that this cart could be blocked by a firmware update issued by Nintendo. If you aren't already aware, much like the Wii, Nintendo has made the new DSi firmware fully updatable. That means that Nintendo could simply block the cart again, and issue a mandatory firmware update. The Acekard 2i firmware, besides the loader files, cannot be updated (at least by the average Joe).
    Will that happen? It's uncertain. It all depends on the method they used to get the AK2i working, and whether or not Nintendo have the ability in the firmware to block it. Although I have already upgraded my DSi from v1.0J to v1.1J and the Acekard 2i works just fine. If they do block it, then well, you're $30 out of pocket, and we'll be back to square one.

    I just don't know though if it's now at v1.2J or not.
     
  3. Chris_Skylock

    Chris_Skylock GBAtemp Advanced Maniac

    Member
    1,501
    0
    Dec 26, 2008
    Philippines
    you have version 1. I heard version 1.1 is ok with Acekard 2i since I saw some videos in youtube. Though later update swill be just gamble of your life and money.

    Regards,
    Chris
     
  4. Roymund
    OP

    Roymund Member

    Newcomer
    14
    0
    Feb 20, 2006
    I did a quick google search and I think the latest version is 1.2J. Can anyone confirm that this is OK with the Acekard 2i?

    Edit: According to some people, 1.2J is fine with the AK2i. Just want to know if anyone has personally confirmed this?
     
  5. g.crow

    g.crow beide mittelfinger hoch

    Member
    770
    2
    Feb 26, 2006
    United States
    1.2j is ok
     
  6. rommy667

    rommy667 GBAtemp Advanced Fan

    Member
    514
    7
    Mar 21, 2008
    Down the road around the corner
    "The Acekard 2i firmware, besides the loader files, cannot be updated (at least by the average Joe)" this is why EZ-FLASH Vi is the better card as one can do just this no problems......
     
  7. Another World

    Another World Emulate the Planet!

    Former Staff
    10,498
    1,672
    Jan 3, 2008
    Colombia
    From Where???
    the acekard firmware is on the msd, anyone can update it. i think your trying to talk about the exploit that allows the kit to boot on the dsi?

    -another world
     
  8. Raichy

    Raichy Advanced Member

    Newcomer
    56
    2
    Aug 14, 2006
  9. rommy667

    rommy667 GBAtemp Advanced Fan

    Member
    514
    7
    Mar 21, 2008
    Down the road around the corner
    The EZ5i, unlike most other carts, is able to update the core/internal loader (ostensibly as a means to counteract any DSi updates) is what i mean as in not the loader but the kernal its self.........
     
  10. G2K

    G2K GBAtemp Regular

    Member
    258
    0
    Mar 23, 2009
    Canada
    Cambridge, Onatrio
    Doesn't that mean that we should just go with the EZflash Vi, since whenever Ninty blocks the exploit, and the EZ team finds a new exploit, the cards will work with a simple kernel update to the card, or is that not how it works?
     
  11. rommy667

    rommy667 GBAtemp Advanced Fan

    Member
    514
    7
    Mar 21, 2008
    Down the road around the corner
    Yep in theroy thats the idea,hopefully it will work..so yep id say EZ5i is the way to go also for some reason the acekard seemes very easy to brick...but i have to say acekard is very good at its job [​IMG]
     
  12. Another World

    Another World Emulate the Planet!

    Former Staff
    10,498
    1,672
    Jan 3, 2008
    Colombia
    From Where???
    what it means is that the kit has a tool to flash the section that stores the pirated game code which has the "boot me on the dsi" exploit. the ak2i can also do this but they have not released any tools to do it. when one is needed, i'm sure they will release it. with that said, this exploit is a ticking time bomb. eventually it will go off and the exploit will no longer work. the next hack to get it working might be completly different, rendering "flashable" areas of the kit useless.

    -another world
     
  13. Roymund
    OP

    Roymund Member

    Newcomer
    14
    0
    Feb 20, 2006
    I can confirm that firmware 1.3J is fully compatable with the AK2i. As of March 30, 2009 that is the newest one in Japan.
     
  14. Another World

    Another World Emulate the Planet!

    Former Staff
    10,498
    1,672
    Jan 3, 2008
    Colombia
    From Where???
    i'm starting to think the article about the euro dsi was written after incorrect testing.

    -another world
     
  15. G2K

    G2K GBAtemp Regular

    Member
    258
    0
    Mar 23, 2009
    Canada
    Cambridge, Onatrio
    Sorry to divert the thread here, but I need a flah cart ASAP 'cause I leave for Flordia in a few weeks. Do you think it would be better to go with EZFlash because of the updateable kernel, or do other flash carts offer this too?
     
  16. CheatingSoi

    CheatingSoi Graphic Designer

    Member
    1,118
    42
    Apr 4, 2007
    United States
    Wisconsin
    It definitely was. kongsnutz told me that his friend got hold of a euro DSi and it ran the AK2i just fine. I am no longer worried at all. As for the updates. I simply wont update unless i am given the OK by "Guinea pigs" [​IMG]
     
  17. Ryukouki

    Ryukouki See you later, guys.

    Member
    4,949
    2,614
    Jan 31, 2008
    United States
    really?!! omg i was soo scared! but i guess its a waiting game, but that statement made my stress go down like a lot!
     
  18. Roymund
    OP

    Roymund Member

    Newcomer
    14
    0
    Feb 20, 2006
    You can just turn off the Wifi on your DSi and then never upgrade the firmware. The only problem is that future games might require certain firmware versions to operate. But for the 2000+ DS games that have already been released then you'll have no problem playing them.

    Edit: Make that 3600+ DS games that have already been released.
     
  19. Eon-Rider

    Eon-Rider GBAtemp Maniac

    Member
    1,021
    15
    Jun 15, 2008
    I believe the real number is a lot less than 3000. You can't really count them all since many of the games have been released multiple times for different regions.
     
  20. dominici

    dominici Newbie

    Newcomer
    6
    0
    Mar 18, 2009
    So the Aussie DSi is out, and out of the box the AK 2i works. But when you try and go online to the store, it wants you to update the firmware. Has anyone applied this update and found their AK 2i still works??